curl --request POST \
--url https://api.synctera.com/v1/disputes/{dispute_id}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.synctera.com/v1/disputes/{dispute_id}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.synctera.com/v1/disputes/{dispute_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2010-05-06T12:23:34.321Z",
"dispute_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"file_name": "example.pdf",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl",
"category": "COUNTERFEIT_EVIDENCE"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Add a document to a dispute
Add a supporting document to a dispute object
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of the dispute
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Details of the document.
The file to be uploaded. Max size 14MB.
Category of the supporting document.
| Category | Description |
|---|---|
TRANSACTION_RECEIPT | Receipt for the disputed transaction showing the correct amount |
PRIOR_TRANSACTION_RECEIPT | Receipt from a prior related transaction (for example the original valid charge in a duplicate-charge dispute) |
MERCHANT_CORRESPONDENCE | Correspondence with the merchant about the dispute |
COUNTERFEIT_EVIDENCE | Evidence that goods were counterfeit (for example a photo of the item or third-party verification) |
REFUND_PROMISE | Proof of credit due (credit transaction receipt, voided transaction receipt, or other proof of a promised refund) |
OTHER | Other supporting documentation (for example a bank statement, cleared check, or cash receipt) |
Some card reason codes require at least one dispute document with a
specific category before the case can be filed with the network. Which
category is required depends on reason_code and the card network
(Visa or Mastercard) of the disputed transaction:
Mastercard
| Reason code | Required document category |
|---|---|
TRANSACTION_AMOUNT_DIFFERS | TRANSACTION_RECEIPT |
Visa
| Reason code | Required document category |
|---|---|
CREDIT_NOT_RECEIVED | REFUND_PROMISE |
TRANSACTION_AMOUNT_DIFFERS | TRANSACTION_RECEIPT |
COUNTERFEIT_GOODS | COUNTERFEIT_EVIDENCE |
Reason codes not listed here do not require a specific document
category. category remains optional on upload for those disputes.
COUNTERFEIT_EVIDENCE, MERCHANT_CORRESPONDENCE, OTHER, PRIOR_TRANSACTION_RECEIPT, REFUND_PROMISE, TRANSACTION_RECEIPT Response
Dispute document added
The timestamp representing when the object was created
"2010-05-06T12:23:34.321Z"
The unique identifier of the dispute
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"example.pdf"
The unique identifier of a dispute document.
The id of the tenant containing the resource.
"abcdef_ghijkl"
Category of the supporting document.
| Category | Description |
|---|---|
TRANSACTION_RECEIPT | Receipt for the disputed transaction showing the correct amount |
PRIOR_TRANSACTION_RECEIPT | Receipt from a prior related transaction (for example the original valid charge in a duplicate-charge dispute) |
MERCHANT_CORRESPONDENCE | Correspondence with the merchant about the dispute |
COUNTERFEIT_EVIDENCE | Evidence that goods were counterfeit (for example a photo of the item or third-party verification) |
REFUND_PROMISE | Proof of credit due (credit transaction receipt, voided transaction receipt, or other proof of a promised refund) |
OTHER | Other supporting documentation (for example a bank statement, cleared check, or cash receipt) |
Some card reason codes require at least one dispute document with a
specific category before the case can be filed with the network. Which
category is required depends on reason_code and the card network
(Visa or Mastercard) of the disputed transaction:
Mastercard
| Reason code | Required document category |
|---|---|
TRANSACTION_AMOUNT_DIFFERS | TRANSACTION_RECEIPT |
Visa
| Reason code | Required document category |
|---|---|
CREDIT_NOT_RECEIVED | REFUND_PROMISE |
TRANSACTION_AMOUNT_DIFFERS | TRANSACTION_RECEIPT |
COUNTERFEIT_GOODS | COUNTERFEIT_EVIDENCE |
Reason codes not listed here do not require a specific document
category. category remains optional on upload for those disputes.
COUNTERFEIT_EVIDENCE, MERCHANT_CORRESPONDENCE, OTHER, PRIOR_TRANSACTION_RECEIPT, REFUND_PROMISE, TRANSACTION_RECEIPT Was this page helpful?

